# Accept or Reject Connections If another Fabric customer requests to connect to your services or assets, you can choose to accept or reject the connection request. In order to accept or reject connections you must have the `Fabric Connection Manager` role. To view your connection requests: * Portal * API 1. Sign in to the [Customer Portal](https://portal.equinix.com/fabric) and navigate to *Fabric*. 2. Use the Project Selector drop-down to select the project to view pending connection requests associated with a specific project. For more information on projects, see [Managing Projects](https://docs.equinix.com/iam/resources/projects-manage.md). 3. On the *Overview* page, click **Pending Requests**. ![](https://docs.equinix.com/assets/images/accept-reject-pending-dialog-f8926d87c634564d1e40818855f0702f.png) 4. The *Pending Actions* panel displays connections that need approval. ![](https://docs.equinix.com/assets/images/accept-reject-pending-action-panel-c8320d4e75cd27fac27ecd3cb270f08d.png) info You can also filter out pending connection requests in the [Connections Inventory](https://docs.equinix.com/fabric/managing-connections/fabric-new-connections-inventory.md). Send a `POST` request to the [`/fabric/v4/connections/search`](https://docs.equinix.com/api-catalog/fabricv4.md#tag/Connections/operation/searchConnections) endpoint. In the filter object, specify the `property` criteria as `/operation/equinixStatus` and the `values` criteria as `PENDING_APPROVAL`. Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections/search' \ -H 'content-type: application/json' \ -H 'authorization: Bearer ' \ -d '{ "filter": { "and": [ { "property": "/operation/equinixStatus", "operator": "=", "values": [ "PENDING_APPROVAL" ] } ] }, "pagination": { "limit": 25, "offset": 0, "total": 0 }, "sort": [ { "property": "/changeLog/updatedDateTime", "direction": "DESC" } ] }' ``` ## Accept a Connection Request To accept a connection: * Portal * API 1. Locate the connection request you want to manage and click *Accept or Reject Connection*. ![](https://docs.equinix.com/assets/images/accept-reject-button-393ef01a8d8dccb10454896c45ad9a76.png) 2. Click **Accept**. ![](https://docs.equinix.com/assets/images/accept-reject-accept-6bc06f348c6df93ff13c8415067487b2.png) 3. From the *Destination Port* drop-down list, select the port you want to terminate this connection at, then click **Submit**. note Destination ports list contains all eligible ports including ports assigned to different [projects](https://docs.equinix.com/iam/resources/projects-manage.md). If you select a port in a different project, the connection will be associated with the project that the port is assigned to. ![](https://docs.equinix.com/assets/images/accept-reject-accept-z-side-6e76c4c4e769f91b6568eb1f4b80cea3.png) 4. Click **Confirm**. Send a `POST` request to the [`/fabric/v4/connections/{connection_id}/actions`](https://docs.equinix.com/api-catalog/fabricv4.md#tag/Connections/operation/createConnectionAction) endpoint. In the body of the request, specify: * The z-side port information for where you want the connection to connect to. You can get your Equinix Fabric ports' information using the [`/fabric/v4/ports`](https://docs.equinix.com/api-catalog/fabricv4.md#tag/Ports/operation/getPorts) endpoint. * The `type` parameter as `CONNECTION_CREATION_ACCEPTANCE`. Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections/{connection_id}/actions' \ -H 'content-type: application/json' \ -H 'authorization: Bearer ' \ -d '{ "type": "CONNECTION_CREATION_ACCEPTANCE", "data": { "zSide": { "accessPoint": { "type": "COLO", "port": { "uuid": "" }, "linkProtocol": { "type": "QINQ", "vlanSTag": , "vlanCTag": } } } } }' ``` ## Reject Connection Request To reject a connection request: * Portal * API 1. Locate the connection request you want to manage and click *Accept or Reject Connection*. ![](https://docs.equinix.com/assets/images/accept-reject-button-393ef01a8d8dccb10454896c45ad9a76.png) 2. Click **Reject**. ![](https://docs.equinix.com/assets/images/accept-reject-reject-0e22d56c463793600675cf988b611034.png) 3. Enter the reason why you reject this connection request, then click **Submit**. ![](https://docs.equinix.com/assets/images/accept-reject-reject-reason-eb5090c7fd5f50a3da2453478dc4c240.png) Send a `POST` request to the [`/fabric/v4/connections/{connection_id}/actions`](https://docs.equinix.com/api-catalog/fabricv4.md#tag/Connections/operation/createConnectionAction) endpoint. In the body of the request, specify: * The `type` parameter as `CONNECTION_CREATION_REJECTION`. * The reason for the rejection in the `description`. Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections/{connection_id}/actions' \ -H 'content-type: application/json' \ -H 'authorization: Bearer ' \ -d '{ "type": "CONNECTION_CREATION_REJECTION", "description": "" }' ```